#ifndef LISTCHANNELSSERVICE_HPP 
#define LISTCHANNELSSERVICE_HPP

#include "../Service.hpp"
#include <string>

namespace mole {

    namespace serv {
	class ListChannelsResponse;

	class ListChannelsService : public Service {

	    public :
		ListChannelsService(mole::ctx::Request *);
		ListChannelsService();
		~ListChannelsService();

		bool init();

		ListChannelsResponse * getResponse();

		Service * newInvocableService(mole::ctx::Request * r);

	    protected :
	};

    }; // end serv

}; // end mole

#endif
